Subject: bug#10575: "compress" not found: causes many test failures

From: Jim Meyering <[email-masked]>
Date: Sun, 22 Jan 2012 12:18:34 +0100

Stefano Lattarini wrote:
> Hi Jim, thanks for the report.
>
> On 01/21/2012 10:17 PM, Jim Meyering wrote:
>> On master a few days ago I noticed new test failures on a
>> Fedora 16 system, due to the unprotected use of compress.
>>
>> In tests/dist-formats.tap, I read this:
>>
>>     # Assume gzip(1) and compress(1) are available on every reasonable
>>     # portability target.
>>
>> Of course, I could install it with a simple "yum install ncompress",
>> but the point is that compress is not installed by default.
>> That tool is becoming anachronistic.
>>
> The attached patch should fix it.  I will push it by this evening if
> there is no objection (and if you have time to give it a try, that would
> be great).
...
> Subject: [PATCH] dist tests: missing "compress" program was causing spurious
>  failures
>
> Fixes automake bug#10575.
>
> The "compress" tool is becoming anachronistic, and thus is not
> installed by default on modern distros (e.g., Fedora 16).  We
> can't thus unconditionally assume it exists on every reasonable
> portability target.
>
> * tests/dist-formats.tap ($missing_compressors): When defining
> this, don't assume anymore that compress(1) is unconditionally
> available.
> (Parallel compression): Skip this sub-test if compress(1) is
> unavailable.
> Since we are at it, fix a couple of unrelated buglets: a typo
> in a test name (s/distcheck/ark-exists/), and some attempts to
> remove directories with "rm -f".

That patch looks fine.
I confirmed that avoids several of the failures.
Thanks for the quick work.